import { tableData } from '../../../utils/storybook/ArgTypes';
import { FooterPartner } from '../../../types/FooterPartner';
export const argTypes = {
  'partners': {
    name: 'Partners {partners}',
    defaultValue: Object.values(FooterPartner),
    control: {
      type: 'multi-select',
      options: Object.values(FooterPartner),
    },
    description: 'Selection of represented partners(multiple-choice)',
    table: tableData('Options', 'string[]', '-'),
  },
  'alt-texts': {
    name: 'Alt texts for partners {altTexts}',
    defaultValue: {
      teliaFinance: 'Telia Finance',
      mastercard: 'MasterCard',
      visa: 'VISA',
      klarna: 'Klarna',
      swish: 'Swish',
    },
    control: { type: 'object' },
    description: 'Alt text for each partner passed in the partners property. Provided as an object FooterPartnerAltTexts or a stringified representation of the same',
    table: tableData('Options', 'object', '-'),
  },
};
